package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsCheckInstrument;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0检验仪器管理 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-21
 */
public interface IJsCheckInstrumentService extends IService<JsCheckInstrument> {

    AjaxResult add(JsCheckInstrument checkDevice);

    AjaxResult edit(JsCheckInstrument checkDevice);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String deviceNum, String deviceName);

    AjaxResult listAll();
}
